/* I. Common CSS for all devices */

/* General Resets */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    width: 100%;
    height: auto;
}

/*Fonts*/

body {
    font-family: 'Roboto', sans-serif;
    line-height: 1.5;
    color: #333;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Playfair Display', serif;
}


/* Hero Section */
.hero {    
    background: #282b1d;/*#008db8;*/
}

/* Figure out later, that stripped thingy in the hero section
.hero {
    clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 0% 100%);
    z-index: -9999;
    position: relative;
}
*/

/* Name inside the image */

.hero-content {
    position: relative;
    display: inline-block; 
}

.hero-content img {
    display: block; 
    width: 100%; 
    height: auto;
}

.hero-text {
    position: absolute;
    bottom: 1%;
    left: 50%;
    transform: translateX(-50%); 
    color: white; 
    padding: 10px;
    width: 100%; 
    text-align: center; 
}

/* My Work Section */
main {
    background: #ffffff;
}

.project-grid {
    width: 100%;
}

.project-card {
    border: 1px solid #ddd;
    background-color: #f9f9f9;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
    width: 100%;
}

.project-screenshot {
    width: 100%;
    height: auto;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    text-align: center;
}

.project-name-and-links {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
}

.project-links {
    display: flex;
    flex-direction: row;
    gap: 1rem;

}

/* Footer Section */
footer {
    background-color: #282b1d;/*#007EA7*/;
    color: white;   
}

.phone-number,
.email {
    display: flex;
    flex-direction: row;
    flex-direction: flex-start;
    align-items: center;
    align-self: flex-start;
    gap: 0.5rem;
}

.social-icons {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
}

.social-icons i {
    font-size: 3rem;
}


/* II. Mobiles */
@media (max-width: 767px) {
    /* Most of the things are stacked on top of each other */
    body * {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: stretch;
    }

    h1 {
        font-size: 5rem;
    }
    
    h2 {
        font-size: 4rem;
    }
    
    h3 {
        font-size: 3rem;
    }
    
    h4 {
        font-size: 2rem;
    }
    
    p, i {
        font-size: 1.5rem;
    }
    
    .about-me {
        padding: 2rem 1rem 5rem 1rem;
        gap: 1.5rem;
        background-color: #fff;
    }

    .about-me h2 {
        text-align: center;
    }
    main {
        padding: 2rem 1rem 5rem 1rem;
        gap: 2rem;
    }
    main h2 {
        text-align: center;
    }

    .project-grid {
        gap: 5rem;
    }
    .project-screenshot {
        aspect-ratio: 1 / 1;
        /*padding: 2rem;*/
        width: 100%;
        /*height: auto;*/   
    }

    .project-information {
        padding: 1.5rem 1.5rem 5rem 1.5rem;
    }

    .contact-info {
        padding: 2rem 1rem 5rem 1rem;
        gap: 1rem;
    }

    .contact-details {
        gap: 1.5rem;
    }

    .contact-info h2 {
        text-align: center;
    }

    .message {
        font-size: 2rem;
    }
}

/* III. Tablets */
@media (min-width: 768px) and (max-width: 1024px) {
    h2 {
        font-size: 3rem;
    }

    h3 {
        font-size: 2rem;
    }

    h4 {
        font-size: 1.5rem;
    }

    p {
        font-size: 1.1rem;
    }

    .social-icons i {
        font-size: 1.5rem;
    }

    .hero-content {
        position: relative;
        float: left;
        width: 40vw;
        margin: -3rem 1rem 1rem -3rem;
    }

    .about-me {
        width: 70vw;
        padding: 1rem;
    }

    .about-me h2 {    
        font-size: 3rem;
        text-align: center;
    }

    .about-me p {
        font-size: 2rem;
        margin-left: 1rem;
    }

    .about-me {
        background-color: #fff;
    }

    .hero {
        padding: 5rem;
    }

    .hero-content img {
        width: 100%;
        height: auto;
    }
        
    main {
        padding: 5rem
    }

    .project-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem; 
    }

    .project-screenshot {
        aspect-ratio: 1 / 1;
        /*padding: 2rem;*/
        width: 100%;
        /*height: auto;*/
    }

    .project-information {
        padding: 1.5rem 1.5rem 5rem 1.5rem;
    }

    footer {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: stretch;
        flex-wrap: nowrap;
        padding: 5rem;
        gap: 3rem;        
    }

    .contact-info {
        flex: 1;
        padding: 1rem;
        flex-shrink: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: stretch;
    }

    .contact-img {
        flex: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-shrink: 1;
    }

    .contact-img img {
        width: 100%;
        height: auto;
        
    }

    .contact-details {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: stretch;
        gap: 1rem;
    }

    .social-icons {
        display: flex;
        flex-direction: row;
        gap: 1rem;
        align-self: flex-start;
    }
    
}

/* IV. PCs */
@media (min-width: 1025px) {

    h1 {
        font-size: 5rem;
    }
    
    h2 {
        font-size: 3rem;
        text-align: left;
    }
    
    h3 {
        font-size: 2rem;
    }
    
    h4 {
        font-size: 1.5rem;
    }
    
    p, i {
        font-size: 1.2rem;
    }

    .social-icons i {
        font-size: 1.5rem;
    }
    
    .hero {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 5rem;
    }

    .hero-content {
        width: 100%;
        height: auto;
    }


    .hero-content img {
        width: 100%;
        height: auto;
    }

    .about-me {
        background-color: #fff;
        padding: 1rem;
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }

    .about-me .social-icons {
        align-self: flex-end;
        display: flex;
        flex-direction: row;
        gap: 1rem;
    }

    footer {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: stretch;
        flex-wrap: nowrap;
        gap: 5rem;        
    }

    main {
        padding: 5rem;
    }

    main h2 {
        text-align: left;
    }

    .project-grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr); 
        grid-template-rows: repeat(2, 1fr);    
        gap: 20px;
    }

    .project-screenshot {
        aspect-ratio: 1 / 1;
        /*padding: 2rem;*/
        width: 100%;
        /*height: auto;*/    
    }

    .project-information {
        padding: 1.5rem 1.5rem 5rem 1.5rem;
    }

    footer {
        padding: 5rem;
    }

    .contact-info {        
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 1rem;
        align-items: stretch;
    }

    .contact-img {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contact-img img {
        width: 100%;
        height: auto;
        
    }

    .contact-details {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: stretch;
        gap: 1rem;
    }

    .social-icons {
        display: flex;
        flex-direction: row;
        gap: 1rem;
        align-self: flex-start;
    }
}